Subject: bug#15818: closed (Re: bug#15818: src/dfa.c: *MALLOC comment block: Clarify comment wording)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Dec 2013 02:04:02 +0000

Your bug report

#15818: src/dfa.c: *MALLOC comment block: Clarify comment wording

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15818: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15818
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15818: src/dfa.c: *MALLOC comment block: Clarify comment wording
From: Jim Meyering <[email-masked]>
To: behoffski <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Dec 2013 18:03:25 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the reminder.
Here's the commit I've created for you, along with a similarly trivial
one I spotted recently.
Please confirm that the USER NAME and <email address> I used in your
commit are ok.
In any future patches, please submit the output of "git format-patch
...", including a log message, per guidelines in HACKING.

Subject: src/dfa.c: *MALLOC comment block: Clarify comment wording
From: behoffski <[email-masked]>
To: [email-masked]
Date: Wed, 06 Nov 2013 13:50:28 +1030
List-Id: <debbugs-submit.debbugs.gnu.org>

G'day,

Attached is a patch clarifying the wording in a comment block in
dfa.c, relating to the XNMALLOC/XCALLOC/CALLOC/MALLOC/REALLOC
preprocessor function definitions.  Change is in comment text only;
no functional changes.

cheers,

behoffski (Brenton Hoff)
Programmer, Grouse Software
diff --git a/src/dfa.c b/src/dfa.c
index 92c410e..2063e90 100644
--- a/src/dfa.c
+++ b/src/dfa.c
@@ -433,7 +433,7 @@ static void dfamust (struct dfa *dfa);
 static void regexp (void);
 
 /* These two macros are identical to the ones in gnulib's xalloc.h,
-   except that they not to case the result to "(t *)", and thus may
+   except that they don't cast the result to "(t *)", and thus may
    be used via type-free CALLOC and MALLOC macros.  */
 #undef XNMALLOC
 #undef XCALLOC